<?php
function createThumb( $imgPath, $thumbPath, $thumbWidth, $thumbHeight ) {
	list( $srcWidth, $srcHeight, $type ) = getimagesize( $imgPath );
	if( 
		$srcWidth < 1
		|| $srcHeight < 1
		|| $type != IMAGETYPE_JPEG
	) {
		return false;
	}
	
	$srcX = 0;
	$srcY = 0;

	if( ( $srcWidth/$srcHeight ) > ( $thumbWidth/$thumbHeight ) ) {
		$zoom = ($srcWidth/$srcHeight) / ($thumbWidth/$thumbHeight);
		$srcX = ($srcWidth - $srcWidth / $zoom) / 2;
		$srcWidth = $srcWidth / $zoom;
	}
	else {
		$zoom = ($thumbWidth/$thumbHeight) / ($srcWidth/$srcHeight);
		$srcY = ($srcHeight - $srcHeight / $zoom) / 2;
		$srcHeight = $srcHeight / $zoom;
	}
	
	$thumb = Imagecreatetruecolor( $thumbWidth, $thumbHeight );
	$orig = ImageCreateFromJPEG( $imgPath );
	Imagecopyresampled($thumb, $orig, 0, 0, $srcX, $srcY, $thumbWidth, $thumbHeight, $srcWidth, $srcHeight);
	ImageJPEG( $thumb, $thumbPath);

	Imagedestroy( $thumb );
	Imagedestroy( $orig );
		
	return true;
}

?>